/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.EntCosmos;

import java.io.Serializable;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Embeddable;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

/**
 *
 * @author obper
 */
@Embeddable
public class DetalleRemisionPK implements Serializable {

    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 6)
    @Column(name = "notare_codigo")
    private String notareCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 5)
    @Column(name = "producto_codigo")
    private String productoCodigo;
    @Basic(optional = false)
    @NotNull
    @Size(min = 1, max = 8)
    @Column(name = "notare_tipo")
    private String notareTipo;

    public DetalleRemisionPK() {
    }

    public DetalleRemisionPK(String notareCodigo, String productoCodigo, String notareTipo) {
        this.notareCodigo = notareCodigo;
        this.productoCodigo = productoCodigo;
        this.notareTipo = notareTipo;
    }

    public String getNotareCodigo() {
        return notareCodigo;
    }

    public void setNotareCodigo(String notareCodigo) {
        this.notareCodigo = notareCodigo;
    }

    public String getProductoCodigo() {
        return productoCodigo;
    }

    public void setProductoCodigo(String productoCodigo) {
        this.productoCodigo = productoCodigo;
    }

    public String getNotareTipo() {
        return notareTipo;
    }

    public void setNotareTipo(String notareTipo) {
        this.notareTipo = notareTipo;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (notareCodigo != null ? notareCodigo.hashCode() : 0);
        hash += (productoCodigo != null ? productoCodigo.hashCode() : 0);
        hash += (notareTipo != null ? notareTipo.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof DetalleRemisionPK)) {
            return false;
        }
        DetalleRemisionPK other = (DetalleRemisionPK) object;
        if ((this.notareCodigo == null && other.notareCodigo != null) || (this.notareCodigo != null && !this.notareCodigo.equals(other.notareCodigo))) {
            return false;
        }
        if ((this.productoCodigo == null && other.productoCodigo != null) || (this.productoCodigo != null && !this.productoCodigo.equals(other.productoCodigo))) {
            return false;
        }
        if ((this.notareTipo == null && other.notareTipo != null) || (this.notareTipo != null && !this.notareTipo.equals(other.notareTipo))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.cosmodas.EntCosmos.DetalleRemisionPK[ notareCodigo=" + notareCodigo + ", productoCodigo=" + productoCodigo + ", notareTipo=" + notareTipo + " ]";
    }
    
}
